<?php

use App\Http\Controllers\StudyMaterialTypesController;
use Illuminate\Support\Facades\Route;

Route::resource('/study-material-types', StudyMaterialTypesController::class);
Route::post('study-material-types/changeStatus', [StudyMaterialTypesController::class, 'changeStatus'])->name('study-material-types-changestatus');
Route::post('study-material-types/isDefaultchangeStatus', [StudyMaterialTypesController::class, 'isDefaultchangeStatus'])->name('study-material-types-isDefaultchangeStatus');
Route::get('study-material-types-create', [StudyMaterialTypesController::class, 'createStudyMaterialTypes'])->name('study-material-types-create');
Route::post('study-material-types-store', [StudyMaterialTypesController::class, 'storeStudyMaterialTypes'])->name('study-material-types-store');
Route::any('study-material-types-update/{id}', [StudyMaterialTypesController::class, 'updateStudyMaterialTypes'])->name('study-material-types-update');

Route::get('study-material-types-all/{course_id}', [StudyMaterialTypesController::class, 'allData'])->name('study-material-types.all');

Route::get('study-material-types-details/{course_id}/{material_type_id}', [StudyMaterialTypesController::class, 'typeDetails'])->name('study-material-types.details');













	